import 'package:http/http.dart' as http;
import 'data.dart';

enum CovidOption {
  Sum,
  Seoul,
  Busan,
  Daegu,
  Incheon,
  Gwangju,
  Daejeon,
  Ulsan,
  Sejong,
  Gyeonggi,
  Gangwon,
  NorthChungcheong,
  SouthChungcheong,
  NorthJeolla,
  SouthJeolla,
  NorthGyeongsang,
  SouthGyeongsang,
  Jeju,
  Quarantine,
}

class Covid19 {
  static const url =
      'http://ncov.mohw.go.kr/bdBoardList_Real.do?brdId=1&brdGubun=13&ncvContSeq=&contSeq=&board_id=&gubun=';
  final _clinet = http.Client();

  Future<Data> getCovidData(CovidOption option) async {
    var baseData = await _crawling();
    return Data.convert(baseData[option.index + 1]);
  }

  Future<List<String>> _crawling() async {
    var response = await _clinet.get(url);
    return response.body
        .split('<!-- 시도별 상세표 -->')[1]
        .split('<tbody>')[1]
        .split('</tbody>')[0]
        .split('<th scope="row">');
  }
}
