class Data {
  int sum;
  int domestic;
  int overseas;
  int confirmed;
  int isolation;
  int isolation_release;
  int death;
  double occurrence;

  Data(
    this.sum,
    this.domestic,
    this.overseas,
    this.confirmed,
    this.isolation,
    this.isolation_release,
    this.death,
    this.occurrence,
  );

  static convert(String data) {
    var sum = _subConvert(data, 'status_level l_type1');
    var domestic = _subConvert(data, 'status_level l_type2');
    var overseas = _subConvert(data, 'status_level l_type3');
    var confirmed = _subConvert(data, 'status_con s_type1');
    var isolation = _subConvert(data, 'status_con s_type2');
    var isolation_release = _subConvert(data, 'status_con s_type3');
    var death = _subConvert(data, 'status_con s_type4');
    var occurrence =
        _subConvert(data, 'status_con s_type5').replaceAll('-', '-1');
    return Data(
      int.parse(sum),
      int.parse(domestic),
      int.parse(overseas),
      int.parse(confirmed),
      int.parse(isolation),
      int.parse(isolation_release),
      int.parse(death),
      double.parse(occurrence),
    );
  }

  static _subConvert(String data, String headers) {
    return data
        .split('<td class="number" headers="$headers">')[1]
        .split('</td>')[0]
        .replaceAll(',', '');
  }
}
